Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2
Class GlacierDefaultPolicy

    java.lang.Object
      rice.p2p.glacier.v2.GlacierDefaultPolicy

All Implemented Interfaces:
  GlacierPolicy

public class GlacierDefaultPolicy
extends java.lang.Object
implements GlacierPolicy

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh

Field Summary
`protected ErasureCodec` | `codec` DESCRIBE THE FIELD
`protected Environment` | `environment` DESCRIBE THE FIELD
`protected java.lang.String` | `instance` DESCRIBE THE FIELD
`protected Logger` | `logger` DESCRIBE THE FIELD

Constructor Summary
`GlacierDefaultPolicy(ErasureCodec codec, java.lang.String instance, Environment env)` Constructor for GlacierDefaultPolicy.

Method Summary
`boolean` | `checkSignature(Manifest manifest, VersionKey key)` DESCRIBE THE METHOD
`Manifest[]` | `createManifests(VersionKey key, java.io.Serializable obj, Fragment[] fragments, long expiration)` DESCRIBE THE METHOD
`java.io.Serializable` | `decodeObject(Fragment[] fragments)` DESCRIBE THE METHOD
`Fragment[]` | `encodeObject(java.io.Serializable obj, boolean[] generateFragment)` DESCRIBE THE METHOD
`void` | `prefetchLocalObject(VersionKey key, Continuation command)` DESCRIBE THE METHOD
`protected void` | `signManifest(Manifest manifest, VersionKey key)` DESCRIBE THE METHOD
`Manifest` | `updateManifest(VersionKey key, Manifest manifest, long newExpiration)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codec

    protected ErasureCodec codec

  DESCRIBE THE FIELD

### instance

    protected java.lang.String instance

  DESCRIBE THE FIELD

### environment

    protected Environment environment

  DESCRIBE THE FIELD

### logger

    protected Logger logger

  DESCRIBE THE FIELD

Constructor Detail

### GlacierDefaultPolicy

    public GlacierDefaultPolicy(ErasureCodec codec,
                                java.lang.String instance,
                                Environment env)

  Constructor for GlacierDefaultPolicy.

Parameters:
  `codec` - DESCRIBE THE PARAMETER
  `instance` - DESCRIBE THE PARAMETER
  `env` - DESCRIBE THE PARAMETER

Method Detail

### checkSignature

    public boolean checkSignature(Manifest manifest,
                                  VersionKey key)

  DESCRIBE THE METHOD

  Specified by:
    `checkSignature` in interface `GlacierPolicy`
  Parameters:
    `manifest` - DESCRIBE THE PARAMETER
    `key` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### signManifest

    protected void signManifest(Manifest manifest,
                                VersionKey key)

  DESCRIBE THE METHOD

  Parameters:
    `manifest` - DESCRIBE THE PARAMETER
    `key` - DESCRIBE THE PARAMETER

### prefetchLocalObject

    public void prefetchLocalObject(VersionKey key,
                                    Continuation command)

  DESCRIBE THE METHOD

  Specified by:
    `prefetchLocalObject` in interface `GlacierPolicy`
  Parameters:
    `key` - DESCRIBE THE PARAMETER
    `command` - DESCRIBE THE PARAMETER

### decodeObject

    public java.io.Serializable decodeObject(Fragment[] fragments)

  DESCRIBE THE METHOD

  Specified by:
    `decodeObject` in interface `GlacierPolicy`
  Parameters:
    `fragments` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### createManifests

    public Manifest[] createManifests(VersionKey key,
                                      java.io.Serializable obj,
                                      Fragment[] fragments,
                                      long expiration)

  DESCRIBE THE METHOD

  Specified by:
    `createManifests` in interface `GlacierPolicy`
  Parameters:
    `key` - DESCRIBE THE PARAMETER
    `obj` - DESCRIBE THE PARAMETER
    `fragments` - DESCRIBE THE PARAMETER
    `expiration` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### encodeObject

    public Fragment[] encodeObject(java.io.Serializable obj,
                                   boolean[] generateFragment)

  DESCRIBE THE METHOD

  Specified by:
    `encodeObject` in interface `GlacierPolicy`
  Parameters:
    `obj` - DESCRIBE THE PARAMETER
    `generateFragment` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### updateManifest

    public Manifest updateManifest(VersionKey key,
                                   Manifest manifest,
                                   long newExpiration)

  DESCRIBE THE METHOD

  Specified by:
    `updateManifest` in interface `GlacierPolicy`
  Parameters:
    `key` - DESCRIBE THE PARAMETER
    `manifest` - DESCRIBE THE PARAMETER
    `newExpiration` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.